
Foreman - Bug #861

foreman shows blank page on initial startup from non web-brick start

04/20/2011 06:07 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I added an apache vhost for foreman and then started httpd.  When I went to http://foreman:3000 I only received a blank page.  I

figured something hadn't triggered so I stopped httpd. I then fired up foreman via script/server -e production in order to initialize the

database that was empty.  Once I saw the foreman homepage I stopped the web brick server and restarted httpd.  Everything works

as expected via apache now after initializing via web brick.

Maybe it has something to do with the -e production being available in apache?

History

#1 - 04/20/2011 06:08 PM - Corey Osman

Maybe it has something to do with the -e production being available in apache?

should be

Maybe it has something to do with the -e production NOT being available in apache?

#2 - 04/21/2011 07:01 AM - Ohad Levy

- Status changed from New to Feedback

how are you using it?

the best way would be to use something such as passenger(see example puppet module for foreman), my guess is that your apache instance has no

access to your db.

#3 - 05/02/2011 05:35 AM - Ohad Levy

- Status changed from Feedback to Closed
